Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata.mtm
Class MtmStoredAttributeMap

    java.lang.Object
      |
      +--oracle.olapi.metadata.BaseMetadataObject
            |
            +--oracle.olapi.metadata.mtm.MtmObject
                  |
                  +--oracle.olapi.metadata.mtm.MtmSourceMap
                        |
                        +--oracle.olapi.metadata.mtm.MtmAttributeMap
                              |
                              +--oracle.olapi.metadata.mtm.MtmStoredAttributeMap

public class MtmStoredAttributeMap
extends MtmAttributeMap

An `MtmAttributeMap` for an `MdmAttribute` whose values are explicitly stored in a particular column or columns of a dimension table. An `MtmStoredAttributeMap` holds different storage information for each of its `MdmDimension` objects.

Note that when the hierarchy is unsolved, then the values for an `MtmStoredAttributeMap` are actually derived.

Method Summary
`java.lang.Object` | `acceptVisitor(MtmObjectVisitor visitor, java.lang.Object context)` Calls the `visitMtmStoredAttributeMap` method of the specified `MtmObjectVisitor` and passes that method this `MtmStoredAttributeMap` and the specified `context` object.
`MtmValueExpression` | `getDefaultMappedExpression()` Gets the default `MtmValueExpression` that Oracle OLAP uses as the attribute value for dimension elements for which the user expression or table column does not specify a value.
`MtmValueExpression` | `getMappedExpression(MtmDimensionMap dimensionMap)` Gets the `MtmValueExpression` that describes the user expression or dimension table columns that hold the attribute values for this `MtmStoredAttributeMap` for the specified `MtmDimensionMap`.
`void` | `setDefaultMappedExpression(MtmValueExpression expression)` Specifies a default `MtmValueExpression` for Oracle OLAP to use as the attribute value for dimension elements for which the user expression or table column does not specify a value.
`void` | `setMappedExpression(MtmDimensionMap dimensionMap, MtmValueExpression expression)` Specifies the `MtmValueExpression` that describes the user expression or dimension table columns that hold the attribute values for this `MtmStoredAttributeMap` for the specified `MtmDimensionMap`.

Methods inherited from class oracle.olapi.metadata.mtm.MtmSourceMap
`getMdmSource, setMdmSource`

Methods inherited from class oracle.olapi.metadata.BaseMetadataObject
`getID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### acceptVisitor

    public java.lang.Object acceptVisitor(MtmObjectVisitor visitor,
                                          java.lang.Object context)

  Calls the `visitMtmStoredAttributeMap` method of the specified `MtmObjectVisitor` and passes that method this `MtmStoredAttributeMap` and the specified `context` object.
  Overrides:
    acceptVisitor in class MtmObject
  Parameters:
    `visitor` - An `MtmObjectVisitor`.
    `context` - An `Object`.
  Returns:
    The `Object` returned by the `visitMtmStoredAttributeMap` method.

### getMappedExpression

    public MtmValueExpression getMappedExpression(MtmDimensionMap dimensionMap)

  Gets the `MtmValueExpression` that describes the user expression or dimension table columns that hold the attribute values for this `MtmStoredAttributeMap` for the specified `MtmDimensionMap`.
  Parameters:
    `dimensionMap` - The `MtmDimensionMap` for which you want the `MtmValueExpression` of this `MtmStoredAttributeMap`.
  Returns:
    The `MtmValueExpression` for this `MtmStoredAttributeMap`, given the specified `MtmDimensionMap`.

### setMappedExpression

    public void setMappedExpression(MtmDimensionMap dimensionMap,
                                    MtmValueExpression expression)

  Specifies the `MtmValueExpression` that describes the user expression or dimension table columns that hold the attribute values for this `MtmStoredAttributeMap` for the specified `MtmDimensionMap`.
  Parameters:
    `dimensionMap` - The `MtmDimensionMap` for which you want to specify the `MtmValueExpression` of this `MtmStoredAttributeMap`.
    `expression` - The `MtmValueExpression` for this `MtmStoredAttributeMap` and the specified `MtmDimensionMap`.

### getDefaultMappedExpression

    public MtmValueExpression getDefaultMappedExpression()

  Gets the default `MtmValueExpression` that Oracle OLAP uses as the attribute value for dimension elements for which the user expression or table column does not specify a value.
  Returns:
    The `MtmValueExpression` that is the default attribute value for this `MtmStoredAttributeMap`.

### setDefaultMappedExpression

    public void setDefaultMappedExpression(MtmValueExpression expression)

  Specifies a default `MtmValueExpression` for Oracle OLAP to use as the attribute value for dimension elements for which the user expression or table column does not specify a value. For example, if an attribute column of `String` values has values for the elements of some dimension hierarchies but not for others, you might want to have the default expression be a constant `null` expression. The attribute value would then be `null` for any hierarchy element that does not have an explicit mapping for the attribute.

  The default expression specified must be valid for all dimension tables, so it must, therefore, be a constant expression or a calculation based on columns that appear in every dimension table.

  Parameters:
    `expression` - An `MtmValueExpression` to use as the default attribute value for this `MtmStoredAttributeMap` for the specified `MtmDimensionMap`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.